DtCreateHelpDialog(library call)

NAME
DtCreateHelpDialog — create a general DtHelpDialog widget

SYNOPSIS

#include &<Dt/HelpDialog.h>
Widget DtCreateHelpDialog(
Widget parent,
String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

The DtCreateHelpDialog function is a convenience function that creates a DtHelpDialog widget.

The parent argument specifies the parent widget ID.

The name argument specifies the name of the created widget.

The arglist argument specifies the argument list.

The argcount argument specifies the number of attribute and value pairs in the argument list (arglist).

RETURN VALUE

Upon successful completion, the DtCreateHelpDialog function returns an XmBulletinBoard widget whose parent is a dialog shell widget; otherwise, it returns an undefined widget value. The dialog shell is the DtHelpDialog widget's top level. Refer to the Motif documentation for more information on the dialog shell widget and applicable resources.

SEE ALSO

Dt/HelpDialog.h - DtHelpDialog(5), Dt/Help.h - DtHelp(5), DtCreateHelpQuickDialog(3), DtHelpSetCatalogName(3), XmBulletinBoard(3).